package model;

 import javax.swing.*;  

import java.awt.List;
import java.awt.event.*;  
   /**
    * 
    * @author SELVAGGIO GIANLUCA
    * @version 1.0
   *LIST WITH TOOLTIP FOR EVERY SINGLE ITEM 
 */
 public class MyList extends JList {  
	 
	private static final long serialVersionUID = 1L;
	private List tooltip;
	 
     public MyList() {  
         super();
         tooltip=new List();
     // Attach a mouse motion adapter to let us know the mouse is over an item and to show the tip.  
     addMouseMotionListener( new MouseMotionAdapter() {  
         public void mouseMoved( MouseEvent e) {  
             MyList theList =(MyList)e.getSource();  
             ListModel model=theList.getModel();  
             int index = theList.locationToIndex(e.getPoint());  
             if (index > -1 && index<tooltip.getItemCount()) { 
                 theList.setToolTipText(null);
                 String text = tooltip.getItem(index);  
                 theList.setToolTipText(text);  
             }  
         }  
     });  
     }  
   
     /**
	  * SET THE ITEM TOOLTIP  TEXT
	  */
     public void mySetToolTipText(String str){
    	 
    	 tooltip.add(str);
    	 
     }
     // Expose the getToolTipText event of our JList
     /**
	  * GET THE ITEM TOOLTIP TEXT
	  */
     public String getToolTipText(MouseEvent e){
    	 
         return super.getToolTipText();  
     }  
   
 }  

